import request from '@/utils/request';

/**
 * 分类列表
 */
export const api_knowledgeWikiCategoryType_page = (params: any) => {
  return request.post('/edu-app/knowledgeWikiCategoryType/page', {
    data: params
  });
};

/**
 * 分页列表
 */
export const api_knowledgeWiki_page = (params: any) => {
  return request.post('/edu-app/knowledgeWiki/page', {
    data: params
  });
};

/**
 * 详情
 */
export const api_knowledgeWiki_detail = (params: any) => {
  return request.get('/edu-app/knowledgeWiki/detail/' + params.id, {});
};

/**
 * 知识详情
 */
export const api_lessonCoursewareDetail_listKnowledge = (params: any) => {
  return request.post('/edu-app/lessonCoursewareDetail/listKnowledge', {
    data: params
  });
};
/**
 * 知识详情
 */
export const api_lessonCoursewareKnowledgeDetail = (params: any) => {
  return request.get(
    '/edu-app/lessonCoursewareKnowledgeDetail/detail/' + params.id
  );
};
